org.apache.axiom.util.base64

## Class Base64DecodingOutputStreamWriter

- java.lang.Object
- - java.io.Writer
  - - org.apache.axiom.util.base64.AbstractBase64DecodingWriter
    - - org.apache.axiom.util.base64.Base64DecodingOutputStreamWriter

- All Implemented Interfaces:
    Closeable, Flushable, Appendable, AutoCloseable

      public class Base64DecodingOutputStreamWriter
      extends AbstractBase64DecodingWriter

  `Writer` implementation that decodes base64 data and writes it to a an `OutputStream`.

- - ### Field Summary

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base64DecodingOutputStreamWriter(OutputStream stream)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected void` | `doWrite(byte[] b, int len)` Write base64 decoded data.
    `void` | `flush()`

    - ### Methods inherited from class org.apache.axiom.util.base64.AbstractBase64DecodingWriter

      `write, write, write`

    - ### Methods inherited from class java.io.Writer

      `append, append, append, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Base64DecodingOutputStreamWriter

          public Base64DecodingOutputStreamWriter(OutputStream stream)

  - ### Method Detail

    - #### doWrite

          protected void doWrite(byte[] b,
                                 int len)
                          throws IOException

      Description copied from class: `AbstractBase64DecodingWriter`
      Write base64 decoded data. If necessary, the implementation should accumulate the data in a buffer before writing it to the underlying stream. The maximum number of bytes passed to this method in a single call is 3.
      Specified by:
        `doWrite` in class `AbstractBase64DecodingWriter`
      Parameters:
        `b` - the byte array containing the data to write, starting at offset 0
        `len` - the number of bytes to write
      Throws:
        `IOException` - if an I/O error occurs

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Specified by:
        `flush` in class `Writer`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `Writer`
      Throws:
        `IOException`

Copyright © The Apache Software Foundation. All Rights Reserved.